Package weka.gui.sql

# Class QueryPanel

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.sql.QueryPanel

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`, `CaretListener`, `ConnectionListener`

public class QueryPanel extends JPanel implements ConnectionListener, CaretListener
Represents a panel for entering an SQL query.

Version:
  $Revision: 10222 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HISTORY_NAME`
  the name of the history.
  `static final String`
  `MAX_ROWS`
  the name for the max rows in the history.

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryPanel(JFrame parent)`
  initializes the panel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addHistoryChangedListener(HistoryChangedListener l)`
  adds the given listener to the list of listeners.
  `void`
  `addQueryExecuteListener(QueryExecuteListener l)`
  adds the given listener to the list of listeners.
  `void`
  `caretUpdate(CaretEvent event)`
  Called when the caret position is updated.
  `void`
  `clear()`
  clears the textarea.
  `void`
  `connectionChange(ConnectionEvent evt)`
  This method gets called when the connection is either established or disconnected.
  `void`
  `execute()`
  executes the current query.
  `DefaultListModel`
  `getHistory()`
  returns the history.
  `int`
  `getMaxRows()`
  returns the current value for the maximum number of rows.
  `String`
  `getQuery()`
  returns the currently displayed query.
  `void`
  `removeHistoryChangedListener(HistoryChangedListener l)`
  removes the given listener from the list of listeners.
  `void`
  `removeQueryExecuteListener(QueryExecuteListener l)`
  removes the given listener from the list of listeners.
  `void`
  `setFocus()`
  sets the focus in a designated control.
  `void`
  `setHistory(DefaultListModel history)`
  sets the local history to the given one.
  `void`
  `setMaxRows(int rows)`
  sets the maximum number of rows to display.
  `void`
  `setQuery(String query)`
  sets the query in the textarea.
  `void`
  `showHistory()`
  displays the query history.

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### HISTORY_NAME

    public static final String HISTORY_NAME
    the name of the history.
    See Also:
      - Constant Field Values

  - ### MAX_ROWS

    public static final String MAX_ROWS
    the name for the max rows in the history.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### QueryPanel

    public QueryPanel(JFrame parent)
    initializes the panel.
    Parameters:
      `parent` - the parent of this panel

- ## Method Details

  - ### setFocus

    public void setFocus()
    sets the focus in a designated control.

  - ### connectionChange

    public void connectionChange(ConnectionEvent evt)
    This method gets called when the connection is either established or disconnected.
    Specified by:
      `connectionChange` in interface `ConnectionListener`
    Parameters:
      `evt` - the event

  - ### execute

    public void execute()
    executes the current query.

  - ### clear

    public void clear()
    clears the textarea.

  - ### setHistory

    public void setHistory(DefaultListModel history)
    sets the local history to the given one.
    Parameters:
      `history` - the history to use

  - ### getHistory

    public DefaultListModel getHistory()
    returns the history.
    Returns:
      the current history

  - ### showHistory

    public void showHistory()
    displays the query history.

  - ### setQuery

    public void setQuery(String query)
    sets the query in the textarea.
    Parameters:
      `query` - the query to display

  - ### getQuery

    public String getQuery()
    returns the currently displayed query.
    Returns:
      the query

  - ### setMaxRows

    public void setMaxRows(int rows)
    sets the maximum number of rows to display. 0 means unlimited.
    Parameters:
      `rows` - the maximum number of rows

  - ### getMaxRows

    public int getMaxRows()
    returns the current value for the maximum number of rows. 0 means unlimited.
    Returns:
      the maximum number of rows

  - ### addQueryExecuteListener

    public void addQueryExecuteListener(QueryExecuteListener l)
    adds the given listener to the list of listeners.
    Parameters:
      `l` - the listener to add to the list

  - ### removeQueryExecuteListener

    public void removeQueryExecuteListener(QueryExecuteListener l)
    removes the given listener from the list of listeners.
    Parameters:
      `l` - the listener to remove

  - ### addHistoryChangedListener

    public void addHistoryChangedListener(HistoryChangedListener l)
    adds the given listener to the list of listeners.
    Parameters:
      `l` - the listener to add to the list

  - ### removeHistoryChangedListener

    public void removeHistoryChangedListener(HistoryChangedListener l)
    removes the given listener from the list of listeners.
    Parameters:
      `l` - the listener to remove

  - ### caretUpdate

    public void caretUpdate(CaretEvent event)
    Called when the caret position is updated.
    Specified by:
      `caretUpdate` in interface `CaretListener`
    Parameters:
      `event` - the event